[tool.poetry]
name = "tap-sec"
version = "0.0.1"
description = "`tap-sec` is a Singer tap for tap-sec, built with the Meltano Singer SDK."
authors = ["emcp"]
keywords = [
    "ELT",
    "tap-sec",
]
license = "MIT"

[tool.poetry.dependencies]
python = "<3.11,>=3.8"
requests = "^2.25.1"
singer-sdk = { version="^0.14.0"}
fs-s3fs = { version = "^1.1.1", optional = true}
lxml = "^4.9.1"
beautifulsoup4 = "^4.11.1"
pandas = "^1.5.2"
atomicwrites = "^1.4.1"

[tool.poetry.dev-dependencies]
pytest = "^6.2.5"
tox = "^3.24.4"
flake8 = "^3.9.2"
black = "^21.9b0"
pydocstyle = "^6.1.1"
mypy = "^0.910"
types-requests = "^2.26.1"
isort = "^5.10.1"

[tool.poetry.extras]
s3 = ["fs-s3fs"]

[tool.isort]
profile = "black"
multi_line_output = 3 # Vertical Hanging Indent
src_paths = "tap_sec"

[build-system]
requires = ["poetry-core>=1.0.8"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
# CLI declaration
tap-sec = 'tap_sec.tap:TapSEC.cli'
